%define modname URPM

Summary:	URPM module for perl
Name:		perl-%{modname}
Version:	4.62
Release:	7
Epoch:		1
License:	GPLv2+ or Artistic
Group:		Development/Perl
Source0:	%{modname}-%{version}.tar.xz
Patch0:		URPM-4.62-drop-rpmtsSetScriptFd.patch
Patch1:		URPM-4.62-increase-buff-size.patch
Patch2:		URPM-4.62-old-gcc.patch
Patch3:		URPM-4.62-skip-old-pkg-versions.patch
URL:		https://abf.rosalinux.ru/moondrake/perl-URPM
BuildRequires:	rpm-devel
BuildRequires:	perl(MDV::Packdrakeng)
BuildRequires:	perl-devel
BuildRequires:	perl-List-MoreUtils
#BuildRequires:	perl-JSON-PP
BuildRequires:	perl(RPMBDB)

# we can now expect librpm API to be backward compatible
Requires:	rpm
Requires:	perl(MDV::Packdrakeng) >= 1.14-5
Requires:	urpmi >= 7.32.3-30
Provides:	perl(URPM::Build) = %{version}-%{release}
Provides:	perl(URPM::Resolve) = %{version}-%{release}
Provides:	perl(URPM::Signature) = %{version}-%{release}

%description
The URPM module allows you to manipulate rpm files, rpm header files and
hdlist files and manage them in memory.

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make

%check
# skip check suite when building on rpm 4, as some parts of it depends on
# rpm 5.3 to be installed
# [ "`rpm --version|sed -e  's/^.* \([0-9]\+\).*/\1/'`" != 4 ] && \
# make test

%install
%makeinstall_std

%files
%doc README
%{_mandir}/man3/*
%{perl_vendorarch}/URPM.pm
%dir %{perl_vendorarch}/URPM
%{perl_vendorarch}/URPM/*.pm
%dir %{perl_vendorarch}/auto/URPM
%{perl_vendorarch}/auto/URPM/URPM.so

%changelog

* Thu Aug 27 2015 Denis Silakov <denis.silakov@rosalab.ru> 1:4.62-7
- (af494c7) Fix typo in patch

* Thu Aug 27 2015 Denis Silakov <denis.silakov@rosalab.ru> 1:4.62-6
- (5ece62c) Really apply patch
- (Denis Silakov: 253983e) When automatically choosing a package that should replace the conflicting one, skip old version of a package if a newer one is available

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 1:4.62-5
- (7348291) MassBuild#656: Increase release tag

* Tue Jan 27 2015 Denis Silakov <denis.silakov@rosalab.ru> 1:4.62-4
- (5ea7bc0) Fix requirements

* Wed Dec 03 2014 tester <tester@localhost.localdomain> 1:4.62-3
- (1791dba) Build with std99
- (Denis Silakov: 2ba72f2) Bump release

* Tue Nov 11 2014 Denis Silakov <denis.silakov@rosalab.ru> 1:4.62-2
- (b1595be) Added epoch.

* Tue Oct 14 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.62-2
- (387714b) Turn back experimental switch to cooker

* Fri Oct 10 2014 Denis Silakov <denis.silakov@rosalab.ru> 1:4.57.1-1
- (40d1fd4) Switch to 4.57.1 from cooker

* Tue Aug 19 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.62-2
- (74cd0e0) Increase buff size

* Tue Jul 01 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.62-1
- (e3bd471) Add missing patch
- (Denis Silakov: 8513939) Updated to 4.62

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.43-29
- (1654d9f) MassBuild#440: Increase release tag

* Tue Jun 24 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.43-28
- (143fc10) Increase buffer size when generating strings for synthesis files

* Mon May 26 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.43-26
- (d58c644) Bump release

* Fri May 23 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.43-25
- (622395d) Dump release

* Tue Apr 01 2014 Denis Silakov <denis.silakov@rosalab.ru> 4.43-24
- (8e3813d) Avoid warnings if LANG is not set

* Fri Dec 20 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-23
- (7220b7d) Improve log message for the case when newer version of the package exist in repos

* Wed Oct 23 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-22
- (76d4928) Compare architecture when detecting newer versions in repo

* Thu Sep 26 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-21
- (8b131ab) Allow to select old packages in case of srpms

* Wed Sep 04 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-20
- (8cf9bb4) LOG Fix issue with LANG reset

* Mon Aug 26 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-19
- (90f8b1d) LOG Take LANG into acocunt when choosing among locale-specific packages

* Mon Aug 19 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-18
- (ee82fac) Fix patch
- (Denis Silakov: 787caba) Fix flaws found by coverity analyzer

* Tue Jul 23 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-17
- (db48c22) Bump release

* Tue Jul 23 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-16
- (274aee4) Fix skip-installed-alternatives patch
- (Denis Silakov: 3a5bddb) Fix malformed patch
- (Denis Silakov: f4e9d53) Improve ignorance of old packages

* Mon Jul 22 2013 Denis Silakov <denis.silakov@rosalab.ru> 4.43-15
- (8b8686a) Added a patch to skip old package versions


